from django.db import models
from django.contrib import admin
from home import apps

#已开业
class Project(models.Model):
    class Meta:
        verbose_name = '项目整盘情况（整盘动态）'
        verbose_name_plural = '项目整盘情况（整盘动态）'
    A11 = models.CharField(verbose_name='项目名称',max_length=50)
    A12 = models.DateTimeField(verbose_name='项目获取时间')
    A13 = models.IntegerField(verbose_name='总建面')
    A14 = models.IntegerField(verbose_name='计容建面')
    A15 = models.IntegerField(verbose_name='总地价（万元）')
    A16 = models.IntegerField(verbose_name='计容楼面价（元/平）',null=True)
    A17 = models.IntegerField(verbose_name='总货值（万元）',null=True)
    A18 = models.IntegerField(verbose_name='除地价外直投（万元）',null=True)
    A19 = models.IntegerField(verbose_name='三费（万元）',null=True)
    A20 = models.IntegerField(verbose_name='预计税前成本利润率',null=True)
    A21 = models.IntegerField(verbose_name='预计税前利润（万元）',null=True)
    A22 = models.IntegerField(verbose_name='税后现金利润（万元）',null=True)
    A23 = models.IntegerField(verbose_name='固定资产（万元）',null=True)
    A24 = models.IntegerField(verbose_name='累计签约（万元）',null=True)
    A25 = models.IntegerField(verbose_name='累计回笼（万元）',null=True)
    A26 = models.IntegerField(verbose_name='累计直投（万元）',null=True)
    A27 = models.IntegerField(verbose_name='当前贷款余额（万元）',null=True)
    A28 = models.IntegerField(verbose_name='经营性现金流（万元）',null=True)
    A29 = models.IntegerField(verbose_name='股东投资现金流（万元）',null=True)
    CC = models.IntegerField(verbose_name='审核')
class ProjectAdmin(apps.CustomAdmin):
    list_display = ["A11"]
admin.site.register(Project,ProjectAdmin)

class AssetManager(models.Model):
    class Meta:
        verbose_name = '自持资产权属及管理责任'
        verbose_name_plural = '自持资产权属及管理责任'
    B11	= models.IntegerField(verbose_name='平台公司名称')
    B12	= models.IntegerField(verbose_name='项目id')
    B13	= models.IntegerField(verbose_name='案名')
    B14	= models.IntegerField(verbose_name='资产名')
    B15	= models.IntegerField(verbose_name='城市')
    B16	= models.IntegerField(verbose_name='项目公司名称')
    B17	= models.IntegerField(verbose_name='项目公司是否包含其他资产')
    B18	= models.IntegerField(verbose_name='项目公司是否包含其他在售货值')
    B19	= models.IntegerField(verbose_name='保利发展股权比例')
    B20	= models.IntegerField(verbose_name='合作方')
    B21	= models.IntegerField(verbose_name='操盘信息')
    B22	= models.IntegerField(verbose_name='是否并表')
    B23	= models.IntegerField(verbose_name='预计出表时间')
    B24	= models.IntegerField(verbose_name='并表公司')
    B25	= models.IntegerField(verbose_name='管理模式')
    B26	= models.IntegerField(verbose_name='合同签订起止日期')
    B27	= models.IntegerField(verbose_name='合同签订时长')
    B28	= models.IntegerField(verbose_name='合作条款核心内容')
    B29	= models.IntegerField(verbose_name='资产管理方')
    B30	= models.IntegerField(verbose_name='资产实际运营方')
    CC = models.IntegerField(verbose_name='审核')
admin.site.register(AssetManager,apps.CustomAdmin)

class AssetInfo(models.Model):
    class Meta:
        verbose_name = '资产情况'
        verbose_name_plural = '资产情况'
    P11	= models.IntegerField(verbose_name='项目id')
    C11	= models.IntegerField(verbose_name='产品类型')
    C12	= models.IntegerField(verbose_name='用地性质')
    C13	= models.IntegerField(verbose_name='土地使用年限')
    C14	= models.IntegerField(verbose_name='土地剩余使用年数')
    C15	= models.IntegerField(verbose_name='自持类型')
    C16	= models.IntegerField(verbose_name='政策原文')
    C17	= models.IntegerField(verbose_name='施工开始时间')
    C18	= models.IntegerField(verbose_name='竣备时间')
    C19	= models.IntegerField(verbose_name='开业时间')
    C20	= models.IntegerField(verbose_name='账面资产原值（万元）')
    C21	= models.IntegerField(verbose_name='账面资产原值单方（元/平米）')
    C22	= models.IntegerField(verbose_name='剔除车位后资产原值（万元）')
    C23	= models.IntegerField(verbose_name='权益投资（不含税）（万元）')
    C24	= models.IntegerField(verbose_name='其中：地价（万元）')
    C25	= models.IntegerField(verbose_name='单方地价（元/㎡）')
    C26	= models.IntegerField(verbose_name='其中：除地价外总投资（不含税）（万元）')
    C27	= models.IntegerField(verbose_name='单方除地价外总投资（元/㎡）')
    CC = models.IntegerField(verbose_name='审核')
admin.site.register(AssetInfo,apps.CustomAdmin)

class AssetReport(models.Model):
    class Meta:
        verbose_name = '资产产权所属公司报表情况'
        verbose_name_plural = '资产产权所属公司报表情况'
    P11	= models.IntegerField(verbose_name='项目id')
    D11	= models.IntegerField(verbose_name='折旧开始时间（年-月）')
    D12	= models.IntegerField(verbose_name='折旧年限（年）')
    D13	= models.IntegerField(verbose_name='年折旧额（万元）')
    D14	= models.IntegerField(verbose_name='累计折旧（万元）')
    D15	= models.IntegerField(verbose_name='账面资产净值（万元）')
    D16	= models.IntegerField(verbose_name='账面单方资产净值（元/平）')
    D17	= models.IntegerField(verbose_name='贷款方式')
    D18	= models.IntegerField(verbose_name='贷款授信金额（万元）')
    D19	= models.IntegerField(verbose_name='贷款利率（%）')
    D20	= models.IntegerField(verbose_name='累计已发生利息（万元）')
    D21	= models.IntegerField(verbose_name='预计本年底贷款余额（万元）')
    D22	= models.IntegerField(verbose_name='预计本年贷款利息（万元）')
    D23	= models.IntegerField(verbose_name='预计下年底贷款余额（万元）')
    D24	= models.IntegerField(verbose_name='预计下年贷款利息（万元）')
    D25	= models.IntegerField(verbose_name='租金收入（不含税）（万元）')
    D26	= models.IntegerField(verbose_name='租金收入是否包含物业费收入')
    D27	= models.IntegerField(verbose_name='营业成本及费用（扣除贷款利息）（万元）')
    D28	= models.IntegerField(verbose_name='物业费（万元）')
    D29	= models.IntegerField(verbose_name='其中：委托管理费（万元）')
    D30	= models.IntegerField(verbose_name='净租金收入')
    D31	= models.IntegerField(verbose_name='税费（包含房产税、印花税等）（万元）')
    D32	= models.IntegerField(verbose_name='其中：土地税（万元）')
    D33	= models.IntegerField(verbose_name='其中：房产税（万元）')
    D34	= models.IntegerField(verbose_name='房产税计算依据')
    D35	= models.IntegerField(verbose_name='本年资产持有成本')
    D36	= models.IntegerField(verbose_name='预计本年利润总额（不含税）（万元）')
    D37	= models.IntegerField(verbose_name='预计本年所得税（不含税）（万元）')
    D38	= models.IntegerField(verbose_name='预计本年净利润（不含税）（万元）')
    D39	= models.IntegerField(verbose_name='预计下年利润总额（不含税）（万元）')
    D40	= models.IntegerField(verbose_name='预计下年所得税（不含税）（万元）')
    D41	= models.IntegerField(verbose_name='预计下年净利润（不含税）（万元）')
    CC = models.IntegerField(verbose_name='审核')
admin.site.register(AssetReport,apps.CustomAdmin)

class OperationReport(models.Model):
    class Meta:
        verbose_name = '产业公司运营数据'
        verbose_name_plural = verbose_name
    P11	= models.IntegerField(verbose_name='项目id',help_text='去年实际')
    E11	= models.IntegerField(verbose_name='出租率',help_text='去年实际')
    E12	= models.IntegerField(verbose_name='平均净租金（元/㎡/月）',help_text='去年实际')
    E13	= models.IntegerField(verbose_name='营业收入（万元）',help_text='去年实际')
    E14	= models.IntegerField(verbose_name='营业成本及费用（扣除贷款利息）（万元）',help_text='去年实际')
    E15	= models.IntegerField(verbose_name='EBITDA（万元）',help_text='去年实际')
    E16	= models.IntegerField(verbose_name='EBITDA回报率',help_text='去年实际')
    E17	= models.IntegerField(verbose_name='出租率',help_text='今年预计')
    E18	= models.IntegerField(verbose_name='平均净租金（元/㎡/月）',help_text='今年预计')
    E19	= models.IntegerField(verbose_name='营业收入（万元）',help_text='今年预计')
    E20	= models.IntegerField(verbose_name='营业成本及费用（扣除贷款利息）（万元）',help_text='今年预计')
    E21	= models.IntegerField(verbose_name='EBITDA（万元）',help_text='今年预计')
    E22	= models.IntegerField(verbose_name='EBITDA回报率',help_text='今年预计')
    E23	= models.IntegerField(verbose_name='出租率',help_text='今年实际')
    E24	= models.IntegerField(verbose_name='平均净租金（元/㎡）',help_text='今年实际')
    E25	= models.IntegerField(verbose_name='营业收入（万元）',help_text='今年实际')
    E26	= models.IntegerField(verbose_name='完成率',help_text='今年实际')
    E27	= models.IntegerField(verbose_name='EBITDA（万元）',help_text='今年实际')
    E28	= models.IntegerField(verbose_name='完成率',help_text='今年实际')
    CC = models.IntegerField(verbose_name='审核')
class OperationReportAdmin(apps.CustomAdmin):
    #OperationReport.__doc__[len(OperationReport.__name__)+1:-1].split(',')
    list_display = ["E11"]
admin.site.register(OperationReport,OperationReportAdmin)
    
class Index(models.Model):
    class Meta:
        verbose_name = '技术指标'
        verbose_name_plural = '技术指标'
    P11	= models.IntegerField(verbose_name='项目id')
    F11	= models.IntegerField(verbose_name='建筑面积（㎡）')
    F12	= models.IntegerField(verbose_name='地上建面（㎡）')
    F13	= models.IntegerField(verbose_name='地下建面（㎡）')
    F14	= models.IntegerField(verbose_name='总经营面积（㎡）')
    F15	= models.IntegerField(verbose_name='其中：地上经营面积（㎡）')
    F16	= models.IntegerField(verbose_name='其中：地下经营面积（㎡）')
    F17	= models.IntegerField(verbose_name='产权面积（㎡）')
    F18	= models.IntegerField(verbose_name='其中：地上产权面积（㎡）')
    F19	= models.IntegerField(verbose_name='其中：地下产权面积（㎡）')
    F20	= models.IntegerField(verbose_name='非产权可经营面积（㎡）')
    F21	= models.IntegerField(verbose_name='其中：地上非产权可经营面积（㎡）')
    F22	= models.IntegerField(verbose_name='其中：地下非产权可经营面积（㎡）')
    F23	= models.IntegerField(verbose_name='车位面积（㎡）')
    F24	= models.IntegerField(verbose_name='车位个数（个）')
    F25	= models.IntegerField(verbose_name='是否为该类资产单独分割使用车位')
    F26	= models.IntegerField(verbose_name='其中：地上车位面积（㎡）')
    F27	= models.IntegerField(verbose_name='其中：地上车位个数（个）')
    F28	= models.IntegerField(verbose_name='其中：地下车位面积（㎡）')
    F29	= models.IntegerField(verbose_name='其中：地下车位个数（个）')
    CC = models.IntegerField(verbose_name='审核')
admin.site.register(Index,apps.CustomAdmin)

#在建拟建
class AssetBase(models.Model):
    class Meta:
        verbose_name = '资产基础情况'
        verbose_name_plural = '资产基础情况'
    P11	= models.IntegerField(verbose_name='项目id')
    G11	= models.IntegerField(verbose_name='产品类型')
    G12	= models.IntegerField(verbose_name='自持类型')
    G13	= models.IntegerField(verbose_name='政策原文')
    G14	= models.IntegerField(verbose_name='用地性质')
    G15	= models.IntegerField(verbose_name='土地使用年限')
    G16	= models.IntegerField(verbose_name='土地剩余使用年数')
    G17	= models.IntegerField(verbose_name='建筑面积（㎡）')
    G18	= models.IntegerField(verbose_name='地上建面（㎡）')
    G19	= models.IntegerField(verbose_name='地下建面（㎡）')
    G20	= models.IntegerField(verbose_name='总经营面积（㎡）')
    G21	= models.IntegerField(verbose_name='其中：地上经营面积（㎡）')
    G22	= models.IntegerField(verbose_name='其中：地下经营面积（㎡）')
    G23	= models.IntegerField(verbose_name='产权面积（㎡）')
    G24	= models.IntegerField(verbose_name='其中：地上产权面积（㎡）')
    G25	= models.IntegerField(verbose_name='其中：地下产权面积（㎡）')
    G26	= models.IntegerField(verbose_name='非产权可经营面积（㎡）')
    G27	= models.IntegerField(verbose_name='其中：地上非产权可经营面积（㎡）')
    G28	= models.IntegerField(verbose_name='其中：地下非产权可经营面积（㎡）')
    G29	= models.IntegerField(verbose_name='车位面积（㎡）')
    G30	= models.IntegerField(verbose_name='车位个数（个）')
    G31	= models.IntegerField(verbose_name='是否为该类资产单独分割使用车位')
    G32	= models.IntegerField(verbose_name='其中：地上车位面积（㎡）')
    G33	= models.IntegerField(verbose_name='其中：地上车位个数（个）')
    G34	= models.IntegerField(verbose_name='其中：地下车位面积（㎡）')
    G35	= models.IntegerField(verbose_name='其中：地下车位个数（个）')
    CC = models.IntegerField(verbose_name='审核')
admin.site.register(AssetBase,apps.CustomAdmin)

class AssetConstruct(models.Model):
    class Meta:
        verbose_name = '资产建设情况'
        verbose_name_plural = '资产建设情况'
    P11	= models.IntegerField(verbose_name='项目id')
    H11 = models.IntegerField(verbose_name='建设状态')
    H12 = models.IntegerField(verbose_name='施工开始时间')
    H13 = models.IntegerField(verbose_name='竣备时间')
    H14 = models.IntegerField(verbose_name='原合同约定交场时间')
    H15 = models.IntegerField(verbose_name='计划交场时间')
    H16 = models.IntegerField(verbose_name='计划开业时间')
    H17 = models.IntegerField(verbose_name='楼栋工程进度')
    H18 = models.IntegerField(verbose_name='目前存在的主要问题')
    H19 = models.IntegerField(verbose_name='解决方案')
    CC = models.IntegerField(verbose_name='审核')
admin.site.register(AssetConstruct,apps.CustomAdmin)
    
class AssetInvest(models.Model):
    class Meta:
        verbose_name = '资产投资情况'
        verbose_name_plural = '资产投资情况'
    P11	= models.IntegerField(verbose_name='项目id')
    I11 = models.IntegerField(verbose_name='预计总投资（含税）（万元）')
    I12 = models.IntegerField(verbose_name='剔除车位后预计资产总投资（万元）')
    I13 = models.IntegerField(verbose_name='总投资（含税）-权益（万元）')
    I14 = models.IntegerField(verbose_name='预计单方投资（元/㎡）')
    I15 = models.IntegerField(verbose_name='预计账面资产原值（万元）')
    I16 = models.IntegerField(verbose_name='剔除车位后预计账面资产原值（万元）')
    I17 = models.IntegerField(verbose_name='预计账面资产原值单方（元/平米）')
    I18 = models.IntegerField(verbose_name='其中：地价（万元）')
    I19 = models.IntegerField(verbose_name='地价单方（元/㎡）')
    I20 = models.IntegerField(verbose_name='其中：除地价外总投资（万元）')
    I21 = models.IntegerField(verbose_name='除地价外总投资单方（元/㎡）')
    I22 = models.IntegerField(verbose_name='已发生总投资（含税）（万元）')
    I23 = models.IntegerField(verbose_name='其中：已发生地价（含税）（万元）')
    I24 = models.IntegerField(verbose_name='其中：已发生除地价外总投资（含税）（万元）')
    CC = models.IntegerField(verbose_name='审核')
admin.site.register(AssetInvest,apps.CustomAdmin)

#经营月报    
class Operation(models.Model):
    class Meta:
        verbose_name = '经营月报'
        verbose_name_plural = '经营月报'
    P11	= models.IntegerField(verbose_name='项目id')
    J12	= models.FloatField(verbose_name='资产原值（亿元）')
    J13	= models.FloatField(verbose_name='账面单方（元/平）')
    J14	= models.IntegerField(verbose_name='可出租房间数')
    J15	= models.FloatField(verbose_name='出租率-完成值')
    J16	= models.FloatField(verbose_name='出租率-同比')
    J17	= models.FloatField(verbose_name='客房收入坪效（元/平/月)-完成值')
    J18	= models.FloatField(verbose_name='客房收入坪效（元/平/月)-同比')
    J19	= models.FloatField(verbose_name='营业收入-本年计划')
    J20	= models.FloatField(verbose_name='营业收入-完成值')
    J21	= models.FloatField(verbose_name='营业收入-进度')
    J22	= models.FloatField(verbose_name='NOP（万元）-本年计划')
    J23	= models.FloatField(verbose_name='NOP（万元）-完成值')
    J24	= models.FloatField(verbose_name='NOP（万元）-累计进度')
    J25	= models.FloatField(verbose_name='NPI（万元）-2023年NPI值预计')
    J26	= models.FloatField(verbose_name='NPI（万元）-2023NPI当月完成值')
    J27	= models.FloatField(verbose_name='NPI（万元）-2023累计完成值')
    J28	= models.FloatField(verbose_name='NPI（万元）-NPI值累计进度')
    J29	= models.FloatField(verbose_name='资产回报率（%）-2022年资产回报率')
    J30	= models.FloatField(verbose_name='资产回报率（%）-2022年资产回报率预计')
    CC = models.IntegerField(verbose_name='审核')
admin.site.register(Operation,apps.CustomAdmin)  

class AssetPrice(models.Model):
    class Meta:
        verbose_name = '预计资产稳定期经营价值（第五年）'
        verbose_name_plural = '预计资产稳定期经营价值（第五年）'
    P11	= models.IntegerField(verbose_name='项目id')
    K11 = models.FloatField(verbose_name='出租率')
    K11 = models.FloatField(verbose_name='平均净租金（元/㎡/月')
    K11 = models.FloatField(verbose_name='营业收入（万元）')
    K11 = models.FloatField(verbose_name='营业成本及费用（扣除贷款利息）（万元）')
    K11 = models.FloatField(verbose_name='EBITDA（万元）')
    K11 = models.FloatField(verbose_name='EBITDA回报率')
admin.site.register(AssetPrice,apps.CustomAdmin)